package resolver

// This file will be automatically regenerated based on the schema, any resolver implementations
// will be copied through when generating and any unknown code will be moved to the end.
// Code generated by github.com/99designs/gqlgen version v0.17.40

import (
	"context"

	"gitlab.com/talgat.s/belka-go/graph/generated"
	"gitlab.com/talgat.s/belka-go/pkg/utils"
)

// Ping is the resolver for the ping field.
func (r *queryResolver) Ping(ctx context.Context) (*string, error) {
	r.Log.InfoContext(ctx, "start query Ping")

	r.Log.InfoContext(ctx, "success query Ping")
	return utils.ToPtr("Pong"), nil
}

// PingAuthorized is the resolver for the pingAuthorized field.
func (r *queryResolver) PingAuthorized(ctx context.Context) (*string, error) {
	r.Log.InfoContext(ctx, "start query PingAuthorized")

	r.Log.InfoContext(ctx, "success query PingAuthorized")
	return utils.ToPtr("Pong"), nil
}

// Query returns generated.QueryResolver implementation.
func (r *Resolver) Query() generated.QueryResolver { return &queryResolver{r} }

type queryResolver struct{ *Resolver }
